doctype html
html
    head
        meta(charset='UTF-8')
        title feedmap
        link(rel='stylesheet', href='/style.css')
        //link(rel='stylesheet', href='http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.css')
        script(src='https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js')
        script(src='https://cdn.jsdelivr.net/npm/chart.js@2.9.3')
        //script(src='https://cdn.jsdelivr.net/npm/luxon@1.22.1')
        script(src='https://cdn.jsdelivr.net/npm/chartjs-adapter-luxon@0.2.1')
        //script(src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js')
        //script(src='http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.js')

    body

    script(src='/js/feedmap.js')

    h1 Managing Feedmap: "#{feedmap_name}"
    p.boxsmaller <b>Feedmap Public Key:</b> #{feedmap_pubkey}
    p.boxsmaller <b>Feedmap Private Key:</b> #{private_key}
    p.boxsmaller <b>Manage Feedmap URL:</b>  <a href="/manage/#{feedmap_pubkey}/#{private_key}">http://co2dataviz.pvos.org/manage/#{feedmap_pubkey}/#{private_key}</a>
    p.boxsmaller <b>Feedmap URL:</b>  <a href="/data/#{feedmap_pubkey}/">http://co2dataviz.pvos.org/data/#{feedmap_pubkey}</a>

    //p.boxsmaller <b>Feedmap Private Key:</b> #{private_key}
    //p.boxsmaller <b>Feedmap Map URL:</b> <a href="#{map_url}">#{short_map_url}</a>
    form(action='/manage/'+feedmap_pubkey+'/'+private_key+'/addFeed' method='POST')
                fieldset
                    h2 Add new co2data.pvos.org feed:
                    //p Enter the <b>PUBLIC_KEY</b> of the feed you'd like to add:
                    label.center Public Key:
                    input#feed_pubkey(type='text' name='feed_pubkey' placeholder='e.g. "95irfkdk5hmk"')
                    br 
                    label.center Feed Nickname (whatever you like):
                    input#feed_nickname(type='text' name='feed_nickname' placeholder='e.g. "Living room"' required='')
                    br
                    button(type='submit') Add Feed
    br
    canvas(id='chart' height='80px')
    //p.boxsmaller <b>Feeds:</b>
    br
    table.center
        tr
            th Feed Nickname
            th Feed Public Key
            th Feed Data
            //th Map X,Y
        each val, i in bayoudata
            tr
                td(style="padding:1px; border-radius: 20px; background: lightgray; font-size:18px; font-weight: bold; color:"+colors[i]) !{val.feed_nickname}
                td <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}">!{val.feedjson.feed_pubkey}</a>
                td  <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}/csv">CSV</a> | <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}/json">JSON</a>
                //td !{val.coords.x}, !{val.coords.y}
        
        
    script.  
        var bdata = !{JSON.stringify(bayoudata)};
        makeChartOverlay('chart',bdata,"co2",!{JSON.stringify(colors)});

            
                        
        
